Bug 1251334 - Upgrading from 22 to 23 by fedup fails
Upgrading from 22 to 23 by fedup fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
aarch64 Linux
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 22:28 EDT by Itaru Kitayama
Modified: 2015-09-23 00:08 EDT (History)
7 users (show)

See Also:
Fixed In Version: 222-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-23 00:08:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itaru Kitayama 2015-08-06 22:28:29 EDT
Description of problem:
Upgrading 23 via fedup fails.

Version-Release number of selected component (if applicable):


How reproducible:
Execute fedup --iso as root

Steps to Reproduce:
1.
2.
3.

Actual results:

[   31.064185]  sda: sda1 sda2 sda3 sda4
[   31.070238] sd 2:0:0:0: [sda] Attached SCSI disk
[   31.076389] Freeing unused kernel memory: 832K (fffffe0000ce0000 - fffffe0000db0000)
[   31.110174] random: systemd urandom read with 13 bits of entropy available
[   31.127535] systemd[1]: systemd 222 running in system mode. (+PAM +AUDIT +SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ -LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN)
[   31.145917] systemd[1]: Detected architecture arm64.
[   31.150884] systemd[1]: Running in initial RAM disk.

Welcome to Fedora 23 (Twenty Three) dracut-043-40.git20150710.fc23.2 (Initramfs)!

[   31.175266] systemd[1]: No hostname configured.
[   31.179818] systemd[1]: Set hostname to <localhost>.
[   31.184976] systemd[1]: Initializing machine ID from random generator.
[   31.522994] systemd[1]: [/etc/systemd/system/system-upgrade-shell.service:8] Couldn't unescape assignment, ignoring: TERM=linux PS1=system-upgrade:\w\$\x20
[   31.544112] systemd[1]: Caught <ABRT>, dumped core as pid 129.
[   31.550332] systemd[1]: Freezing execution.Expected results:


Additional info:
Iso is taken from:
http://arm.koji.fedoraproject.org/compose/23_Alpha_RC1/23/Server/
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-08-06 22:41:49 EDT
Please see https://fedoraproject.org/wiki/Changes/DNF_System_Upgrades instead.
fedup is not supported.

But the bug is a bug. It will get fixed of course.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-08-07 00:12:46 EDT
https://github.com/systemd/systemd/pull/904
Comment 3 Itaru Kitayama 2015-08-07 03:08:31 EDT
$ sudo dnf install 'dnf-command(fedup)'
langpacks: No languages are enabled
Failed to synchronize cache for repo 'zbyszek-dnf-plugin-fedup' from 'https://copr-be.cloud.fedoraproject.org/results/zbyszek/dnf-plugin-fedup/fedora-22-aarch64/': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.
Last metadata expiration check performed 4:46:29 ago on Thu Aug  6 22:19:29 2015.
No package dnf-command(fedup) available.
Error: no package matched: dnf-command(fedup)

(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Please see https://fedoraproject.org/wiki/Changes/DNF_System_Upgrades
> instead.
> fedup is not supported.
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-08-07 03:28:42 EDT
Oh, I didn't see that you're on aarch64. Unfortunately copr does not provide a repo for aarch64. You can simply install the package manually, e.g. https://copr-be.cloud.fedoraproject.org/results/zbyszek/dnf-plugin-fedup/fedora-22-x86_64/dnf-plugin-fedup-0-2.20150716git6d6a316.fc24/dnf-plugin-fedup-0-2.20150716git6d6a316.fc22.noarch.rpm .
Comment 5 Itaru Kitayama 2015-08-12 02:28:11 EDT
# dnf fedup download --releasever=23
Error: Failed to synchronize cache for repo 'updates' from 'https://mirrors.fedoraproject.org/metalink?repo=updates-released-f23&arch=aarch64': Cannot prepare internal mirrorlist: file "repomd.xml" was not found in metalink

Is this expected? Any other options to try?
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-08-12 09:18:58 EDT
It might be some mirroring problem rather than an issue with fedup itself. I saw similar messages from dnf in normal usage yesterday. Please try again...
Comment 7 Itaru Kitayama 2015-08-12 10:06:03 EDT
I again saw the same message.
Comment 8 Zbigniew Jędrzejewski-Szmek 2015-08-20 16:16:03 EDT
Indeed. https://mirrors.fedoraproject.org/metalink?repo=updates-released-f23&arch=aarch64 has a comment inside
# repo = updates-released-f23 arch = aarch64 error: invalid repo or arch

I'll ask on the mailing list what the expected status of aarach64 is.
Comment 9 Zbigniew Jędrzejewski-Szmek 2015-08-21 11:43:28 EDT
The URL now works. It was fixed yesterday.
Comment 10 Itaru Kitayama 2015-08-22 08:00:02 EDT
I've confirmed that as well.
Comment 11 Fedora Update System 2015-09-18 08:39:57 EDT
systemd-222-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16155
Comment 12 Fedora Update System 2015-09-18 10:46:10 EDT
systemd-222-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16165
Comment 13 Fedora Update System 2015-09-18 20:20:33 EDT
systemd-222-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update systemd'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16165
Comment 14 Fedora Update System 2015-09-23 00:08:04 EDT
systemd-222-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.